> ## Documentation Index
> Fetch the complete documentation index at: https://safepay.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Alias

> Explore alias in detail



## OpenAPI

````yaml get /v1/aggregators/{raast-aggregator-id}/alias/{alias-id}
openapi: 3.1.0
info:
  title: Raast Wire
  version: 1.0.0
  description: ''
servers:
  - url: https://api.getsafepay.com/raastwire
security: []
tags:
  - name: Aggregators
  - name: Access Keys
  - name: Merchants
  - name: Raast Merchants
  - name: Payments
  - name: Refunds
  - name: QRs
  - name: Utilities
  - name: Aliases
  - name: Ledgers
  - name: Webhooks
paths:
  /v1/aggregators/{raast-aggregator-id}/alias/{alias-id}:
    parameters:
      - $ref: '#/components/parameters/AggregatorIdParam'
      - $ref: '#/components/parameters/AliasIdParam'
    get:
      tags:
        - Aliases
      summary: Find Alias
      description: Explore alias in detail
      responses:
        '200':
          $ref: '#/components/responses/FindAliasResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
      security:
        - apiKey: []
components:
  parameters:
    AggregatorIdParam:
      name: raast-aggregator-id
      in: path
      required: true
      schema:
        type: string
        example: agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e
      description: The unique identifier for the aggregator
    AliasIdParam:
      name: alias-id
      in: path
      required: true
      schema:
        type: string
        example: als_962c42c4-06a1-482f-a227-970453f29eb9
      description: The unique identifier for the alias
  responses:
    FindAliasResponse:
      description: This response contains details of an alias
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLengthHeader'
        Date:
          $ref: '#/components/headers/DateHeader'
      content:
        application/json:
          schema:
            allOf:
              - $ref: '#/components/schemas/StandardResponse'
              - type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Alias'
          examples:
            AliasFound:
              value:
                api_version: v1
                data:
                  id: '2'
                  token: als_962c42c4-06a1-482f-a227-970453f29eb9
                  merchant_id: mer_63b32978-8af7-41b8-88fc-d027be766f77
                  aggregator_merchant_id: am_01fa1fd6-d8aa-47c7-a4c3-a1ac0a76ae36
                  alias_type: TILL_CODE
                  alias_value: '542185757'
                  status: Active
                  start_date: '2025-08-20'
                  expiration_date: '2035-08-20'
                  opening_date: '2025-08-20'
                  closing_date: '2035-08-20'
                  created_at: '2025-08-20T09:47:27Z'
                  updated_at: '2025-08-25T11:46:52Z'
                  alias_record_id: '448589'
    Unauthorized:
      description: Unauthorized
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLengthHeader'
        Date:
          $ref: '#/components/headers/DateHeader'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorEnvelope'
          examples:
            Unauthorized:
              value:
                api_version: v1
                error:
                  code: error.unauthorized_access
                  message: partner access key is required in request header
  headers:
    ContentLengthHeader:
      schema:
        type: string
        example: '256'
    DateHeader:
      schema:
        type: string
        example: Sat, 12 Aug 2023 08:55:04 GMT
  schemas:
    StandardResponse:
      type: object
      description: Standard response structure for successful operations
      properties:
        api_version:
          type: string
          example: v1
          description: The current version of the API spec
        data:
          type: object
          description: Contains the response data
    Alias:
      type: object
      description: Raast alias record
      properties:
        id:
          type: string
        token:
          type: string
        merchant_id:
          type: string
        alias_type:
          type: string
          description: Type of alias (e.g., TILL_CODE)
        alias_value:
          type: string
          description: The alias value (e.g., 541732040)
        status:
          type: string
          description: Current status of the alias (e.g., Active, Suspended)
        start_date:
          type: string
          format: date
          description: Start date for the alias validity
        expiration_date:
          type: string
          format: date
          description: Expiration date for the alias validity
        opening_date:
          type: string
          format: date
          description: Opening date of the alias
        closing_date:
          type: string
          format: date
          description: Closing date of the alias
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        alias_record_id:
          type: string
          description: Raast alias record identifier
    ApiErrorEnvelope:
      type: object
      description: Error wrapper that includes the API version and error metadata
      properties:
        api_version:
          type: string
          description: Indicates the API version associated with the response
          example: v1
        error:
          description: Structured error details describing why the request failed
          allOf:
            - $ref: '#/components/schemas/ErrorResponse'
          example:
            code: error.unauthorized_access
            message: partner access key is required in request header
    ErrorResponse:
      type: object
      description: Standard error response structure
      properties:
        code:
          type: string
          description: Error code identifying the type of error
        message:
          type: string
          description: Human-readable error message
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-SFPY-AGGREGATOR-SECRET-KEY
      in: header

````